biterp

Buscar transacao financeira por ID

GET
/financial-transactions/{id}
AuthorizationBearer <token>

In: header

Query Parameters

with_deleted?boolean

When true, return the record even if soft-deleted and include deleted_at metadata

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/financial-transactions/{id}"
{
  "id": "string",
  "account_id": "string",
  "transfer_id": "string",
  "source": "manual",
  "fitid": "string",
  "trn_type": "string",
  "posted_at": "2019-08-24T14:15:22Z",
  "user_initiated_at": "2019-08-24T14:15:22Z",
  "amount": "-1500.000000",
  "orig_currency_code": "string",
  "orig_amount": "-1500.000000",
  "name": "string",
  "extd_name": "string",
  "memo": "string",
  "refnum": "string",
  "checknum": "string",
  "srvrtid": "string",
  "correct_fitid": "string",
  "correct_action": "REPLACE",
  "is_reconciled": true,
  "reconciled_at": "2019-08-24T14:15:22Z",
  "metadata": {},
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
{
  "statusCode": 422,
  "message": "Could not resolve provided geography fields",
  "error": "Unprocessable Entity",
  "details": {
    "fields": {
      "country_code": [
        "Could not resolve country from '1112' (tried ISO2, ISO3, numeric code and names)"
      ],
      "city": [
        "Could not resolve city from 'CidadeQueNaoExiste' in country 'BR'"
      ]
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}